> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yiksipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Transaction

> Cancel Transaction



## OpenAPI

````yaml post /v1/wallets/{walletId}/transactions/cancel
openapi: 3.0.3
info:
  title: Yiksi Pay Documentation
  description: >-
    The OpenAPI specification of the Yiksi Pay API that enables fintechs and
    developers to seamlessly integrate stablecoin deposits and payments into
    their products.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.yiksipay.com
security:
  - apiKey: []
tags:
  - name: Wallet
    description: >-
      Wallet Management System


      Comprehensive wallet management API for multi-blockchain operations. This
      system handles wallet creation, configuration, balance monitoring, and
      integration with various blockchain networks.


      Core Functionality:


      - Multi-blockchain wallet creation and management
          
      - Balance monitoring and asset tracking
          
      - Auto-settlement rule configuration
          
      - Address generation and management
          
      - Transaction monitoring and processing
  - name: Addresses
    description: >-
      Address Management System


      Comprehensive blockchain address management API for operations. This
      system handles address creation, validation, monitoring, and management
      across multiple blockchain networks.  


      Core Functionality:


      - Multi-blockchain address generation
          
      - Address validation and verification
          
      - Balance monitoring and tracking
          
      - Transaction history management
          
      - Address labeling and organization
          
      - Integration with wallet systems
          
      - Real-time address monitoring
  - name: Asset
  - name: Transactions
  - name: Withdraw
    description: >-
      The Withdraw feature allows you to programmatically withdraw stablecoins
      from your master wallet with ease
  - name: Signing
    description: >-
      Typed data signing service for secure transaction authorization. Supports
      all EIP-712 standards including EIP-3009 (TransferWithAuthorization) and
      EIP-2612 (Permit).
  - name: Swap
    description: >-
      The Swap feature enables users to exchange one stabelcoin asset for
      another across different blockchains. This feature provides a seamless way
      to convert between different stablecoins while maintaining security and
      compliance standards.
  - name: Auto Settlements
    description: >-
      Creates a new auto settlement rule for a wallet. Auto settlement
      automatically transfers/swap assets based on configured rules when certain
      conditions are met.


      Rules can be configured for:


      - Source blockchain and assets
          
      - Destination blockchain and asset
          
      - Amount ranges (min/max)
          
      - Slippage tolerance
          
  - name: Smart Contract
    description: >-
      This API provides endpoints for interacting with smart contracts on the
      blockchain. It allows for reading contract data, executing contract
      functions, and estimating network fees.
  - name: Beneficiaries
    description: >-
      This API allows you to create beneficiaries with automatic settlements to
      your external wallets on a periodic basis.


      Example frequencies: INSTANT, DAILY, WEEKLY, MONTHLY, YEARLY
  - name: AML
    description: >-
      The AML (Anti Money Laundering) API provides a quick way for you to check
      if an address is blacklisted or sanctioned
  - name: Asset Recovery
    description: >-
      Enables the recovery (salvage) of both native blockchain assets and tokens
      from a specified sender address to a recipient address. This feature
      supports emergency fund recovery and asset consolidation operations.
  - name: Miscellaneous
    description: >-
      The Miscellaneous API are supporting APIs that can be used to provide more
      details to other APIs.
  - name: Asset1
  - name: Blockchain
  - name: Webhooks
    description: >-
      Webhooks allow you to set up a notification system that can be used to
      receive updates on certain requests made to the Yiksi Pay API.  
        
      To see full list and instructions
      [https://docs.yiksipay.com/essentials/webhooks](https://docs.yiksipay.com/essentials/webhooks)


      ##
  - name: Deposit
  - name: Withdraw1
  - name: Swap1
paths:
  /v1/wallets/{walletId}/transactions/cancel:
    parameters:
      - name: walletId
        in: path
        required: true
        schema:
          type: string
          example: '{{walletId}}'
    post:
      tags:
        - Transactions
      summary: Cancel Transaction
      description: Cancel Transaction
      operationId: cancelTransaction
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  example: 960661a2-0337-4609-b870-348d67fae934
            examples:
              Cancel Transaction:
                value:
                  id: 960661a2-0337-4609-b870-348d67fae934
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      address:
                        nullable: true
                        example: null
                      amlScreening:
                        type: object
                        properties: {}
                      amount:
                        type: string
                        example: '0.1'
                      amountPaid:
                        type: string
                        example: '0.1'
                      amountUSD:
                        type: string
                        example: '0.1'
                      asset:
                        type: object
                        properties:
                          address:
                            type: string
                            example: '0x55d398326f99059fF775485246999027B3197955'
                          createdAt:
                            type: string
                            example: '2024-05-14T16:53:33.671Z'
                          currency:
                            type: string
                            example: USD
                          decimals:
                            type: number
                            example: 18
                          id:
                            type: string
                            example: e572fb27-3e52-4dd0-8452-f9a681be03f3
                          isActive:
                            type: boolean
                            example: true
                          isNative:
                            type: boolean
                            example: false
                          name:
                            type: string
                            example: Tether USD
                          network:
                            type: string
                            example: mainnet
                          standard:
                            type: string
                            example: BEP20
                          symbol:
                            type: string
                            example: USDT
                          updatedAt:
                            type: string
                            example: '2025-04-17T03:50:19.952Z'
                      assetSwept:
                        nullable: true
                        example: null
                      assetSweptAmount:
                        nullable: true
                        example: null
                      assetSweptAt:
                        nullable: true
                        example: null
                      assetSweptGasFee:
                        nullable: true
                        example: null
                      assetSweptHash:
                        nullable: true
                        example: null
                      assetSweptRecipientAddress:
                        nullable: true
                        example: null
                      assetSweptSenderAddress:
                        nullable: true
                        example: null
                      blockHash:
                        nullable: true
                        example: null
                      blockNumber:
                        nullable: true
                        example: null
                      blockchain:
                        type: object
                        properties:
                          createdAt:
                            type: string
                            example: '2024-05-14T16:53:33.106Z'
                          derivationPath:
                            type: string
                            example: m/44'/60'/0'/0
                          id:
                            type: string
                            example: b80d3d5e-16f1-4d99-be5e-6dfcd27f89aa
                          isActive:
                            type: boolean
                            example: true
                          isEvmCompatible:
                            type: boolean
                            example: true
                          isL2:
                            type: boolean
                            example: false
                          name:
                            type: string
                            example: BNB smart chain
                          slug:
                            type: string
                            example: bnb-smart-chain
                          symbol:
                            type: string
                            example: bnb
                          tokenStandard:
                            type: string
                            example: BEP20
                          updatedAt:
                            type: string
                            example: '2024-11-26T19:04:13.941Z'
                      chainId:
                        nullable: true
                        example: null
                      confirmations:
                        nullable: true
                        example: null
                      confirmed:
                        type: boolean
                        example: false
                      createdAt:
                        type: string
                        example: '2025-09-23T15:14:30.894Z'
                      createdChannel:
                        type: string
                        example: dashboard
                      currency:
                        type: string
                        example: USD
                      fee:
                        type: string
                        example: '0.00003'
                      feeHash:
                        type: string
                        example: >-
                          0xf41d394f91dfb1c07890bac1cf5d408f6c0edb526ed371b481ab46caf0acb1d2
                      gasFee:
                        nullable: true
                        example: null
                      gasPrice:
                        nullable: true
                        example: null
                      gasUsed:
                        nullable: true
                        example: null
                      hash:
                        nullable: true
                        example: null
                      id:
                        type: string
                        example: 5f65c56e-58d9-4b26-a2fd-98b5b9cbd26b
                      metadata:
                        nullable: true
                        example: null
                      network:
                        type: string
                        example: mainnet
                      note:
                        type: string
                        example: ' Withdrawal of 0.1 USDT from 0xD2b6be31932E0294F2ebD14a008C3f1E05B47BC4 to 0xb55c054D8eE75224E1033e6eC775B4F62D942b43 on BNB smart chain'
                      rate:
                        nullable: true
                        example: null
                      rateUSD:
                        type: string
                        example: '1'
                      reason:
                        type: string
                        example: >-
                          Withdrawal of 0.1 from
                          0xD2b6be31932E0294F2ebD14a008C3f1E05B47BC4 USDT to
                          0xb55c054D8eE75224E1033e6eC775B4F62D942b43 on BNB
                          smart chain
                      recipientAddress:
                        type: string
                        example: '0xb55c054D8eE75224E1033e6eC775B4F62D942b43'
                      reference:
                        type: string
                        example: OjAhIPve6kAX3CQwPVkg
                      senderAddress:
                        type: string
                        example: '0xD2b6be31932E0294F2ebD14a008C3f1E05B47BC4'
                      signedTransaction:
                        nullable: true
                        example: null
                      status:
                        type: string
                        example: CANCELLED
                      toAmount:
                        nullable: true
                        example: null
                      toCurrency:
                        nullable: true
                        example: null
                      tokenAddress:
                        type: string
                        example: '0x55d398326f99059fF775485246999027B3197955'
                      type:
                        type: string
                        example: WITHDRAW
                      updatedAt:
                        type: string
                        example: '2025-09-23T15:28:02.993Z'
                  message:
                    type: string
                    example: Transaction cancelled
                  statusCode:
                    type: number
                    example: 200
              examples:
                '200':
                  value:
                    data:
                      address: null
                      amlScreening: {}
                      amount: '0.1'
                      amountPaid: '0.1'
                      amountUSD: '0.1'
                      asset:
                        address: '0x55d398326f99059fF775485246999027B3197955'
                        createdAt: '2024-05-14T16:53:33.671Z'
                        currency: USD
                        decimals: 18
                        id: e572fb27-3e52-4dd0-8452-f9a681be03f3
                        isActive: true
                        isNative: false
                        name: Tether USD
                        network: mainnet
                        standard: BEP20
                        symbol: USDT
                        updatedAt: '2025-04-17T03:50:19.952Z'
                      assetSwept: null
                      assetSweptAmount: null
                      assetSweptAt: null
                      assetSweptGasFee: null
                      assetSweptHash: null
                      assetSweptRecipientAddress: null
                      assetSweptSenderAddress: null
                      blockHash: null
                      blockNumber: null
                      blockchain:
                        createdAt: '2024-05-14T16:53:33.106Z'
                        derivationPath: m/44'/60'/0'/0
                        id: b80d3d5e-16f1-4d99-be5e-6dfcd27f89aa
                        isActive: true
                        isEvmCompatible: true
                        isL2: false
                        name: BNB smart chain
                        slug: bnb-smart-chain
                        symbol: bnb
                        tokenStandard: BEP20
                        updatedAt: '2024-11-26T19:04:13.941Z'
                      chainId: null
                      confirmations: null
                      confirmed: false
                      createdAt: '2025-09-23T15:14:30.894Z'
                      createdChannel: dashboard
                      currency: USD
                      fee: '0.00003'
                      feeHash: >-
                        0xf41d394f91dfb1c07890bac1cf5d408f6c0edb526ed371b481ab46caf0acb1d2
                      gasFee: null
                      gasPrice: null
                      gasUsed: null
                      hash: null
                      id: 5f65c56e-58d9-4b26-a2fd-98b5b9cbd26b
                      metadata: null
                      network: mainnet
                      note: ' Withdrawal of 0.1 USDT from 0xD2b6be31932E0294F2ebD14a008C3f1E05B47BC4 to 0xb55c054D8eE75224E1033e6eC775B4F62D942b43 on BNB smart chain'
                      rate: null
                      rateUSD: '1'
                      reason: >-
                        Withdrawal of 0.1 from
                        0xD2b6be31932E0294F2ebD14a008C3f1E05B47BC4 USDT to
                        0xb55c054D8eE75224E1033e6eC775B4F62D942b43 on BNB smart
                        chain
                      recipientAddress: '0xb55c054D8eE75224E1033e6eC775B4F62D942b43'
                      reference: OjAhIPve6kAX3CQwPVkg
                      senderAddress: '0xD2b6be31932E0294F2ebD14a008C3f1E05B47BC4'
                      signedTransaction: null
                      status: CANCELLED
                      toAmount: null
                      toCurrency: null
                      tokenAddress: '0x55d398326f99059fF775485246999027B3197955'
                      type: WITHDRAW
                      updatedAt: '2025-09-23T15:28:02.993Z'
                    message: Transaction cancelled
                    statusCode: 200
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````